
From: Gerrit Huizenga <gh@us.ibm.com>

Send timestamps to userspace in msecs instead of jiffies.

Signed-Off-By: Matt Helsley <matthltc@us.ibm.com>
Signed-Off-By: Gerrit Huizenga <gh@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/crbce.h        |    2 +-
 kernel/ckrm/rbce/crbce_ext.c |    4 +++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff -puN include/linux/crbce.h~ckrm-send-timestamps-to-userspace-in-msecs-instead-of-jiffies include/linux/crbce.h
--- 25/include/linux/crbce.h~ckrm-send-timestamps-to-userspace-in-msecs-instead-of-jiffies	Wed Jul 13 14:44:49 2005
+++ 25-akpm/include/linux/crbce.h	Wed Jul 13 14:44:49 2005
@@ -90,7 +90,7 @@ struct crbce_hdr {
 struct crbce_hdr_ts {
 	int type;
 	pid_t pid;
-	uint32_t jiffies;
+	uint32_t timestamp;  /* in msecs */
 	uint64_t cls;
 };
 
diff -puN kernel/ckrm/rbce/crbce_ext.c~ckrm-send-timestamps-to-userspace-in-msecs-instead-of-jiffies kernel/ckrm/rbce/crbce_ext.c
--- 25/kernel/ckrm/rbce/crbce_ext.c~ckrm-send-timestamps-to-userspace-in-msecs-instead-of-jiffies	Wed Jul 13 14:44:49 2005
+++ 25-akpm/kernel/ckrm/rbce/crbce_ext.c	Wed Jul 13 14:44:49 2005
@@ -25,6 +25,7 @@
 
 #include <net/sock.h>
 #include <linux/netlink.h>
+#include <linux/jiffies.h>
 #include "rbce_internal.h"
 
 #define PSAMPLE(pdata)    (&((pdata)->ext_data.sample))
@@ -123,7 +124,8 @@ static inline void close_ukcc_channel(vo
 
 #define rec_set_hdr(r,t,p)      ((r)->hdr.type = (t), (r)->hdr.pid = (p))
 #define rec_set_timehdr(r,t,p,c)  (rec_set_hdr(r,t,p), \
-	(r)->hdr.jiffies = jiffies, (r)->hdr.cls=(unsigned long)(c) )
+	(r)->hdr.timestamp = jiffies_to_msecs(jiffies), \
+	(r)->hdr.cls=(unsigned long)(c) )
 
 #if CHANNEL_AUTO_CONT
 
_
